/* classic admonitions */

.md-typeset .admonition,
.md-typeset details {
    border-width: 0;
    border-left-width: 4px;
    font-size: unset;
}

/* table fonts and colors */

.md-typeset table:not([class]) {
    font-size: unset;
    line-height: initial;
}

.md-typeset table:not([class]) th {
    background-color: var(--md-code-bg-color);
}

/* draft elements */

.mkdocs-draft-marker {
    color: crimson;
}

samp {
    color: crimson;
    font-family: unset;
    font-weight: bold;
}

/* fancy borders */

.shadow {
    box-shadow: 4px 4px 6px rgba(0, 0, 0, 0.5);
}

/* print settings */

.md-typeset h2,
.md-typeset h3 {
    page-break-after: avoid;
}

@page {
    margin: 0.5in;
}

@media print {
    .md-main__inner {
        margin-top: 0;
    }

    .mkdocs-draft-marker, samp {
        display: none !important;
    }

    .screenonly {
        display: none !important;
    }
}

@media screen {
    .printonly {
        display: none !important;
    }
}

/* indent child pages in navigation sidebar */

.md-nav[data-md-level="1"] > .md-nav__list {
    margin-left: 1em;
    padding-left: 0.5em;
}

/* show auto-index when sidebar is hidden */

.auto-index {
    display: none;
}

.auto-index svg {
    fill: currentColor;
    flex-shrink: 0;
    height: 1.3em;
    margin-right: 0.25em;
    vertical-align: text-bottom;
}

@media screen and (max-width:76.234375em) {
    .auto-index {
        display: block;
    }
}

/* highlight the linked heading */

@keyframes highlight {
    0% {
        background: none;
        color: var(--md-typeset-color);
        text-decoration: none;
    }
    50% {
        background: var(--md-primary-fg-color);
        color: #fff;
        text-decoration: underline;
    }
    100% {
        background: none;
        color: var(--md-typeset-color);
        text-decoration: none;
    }
}

:target {
    animation: 3s cubic-bezier(0.75, 0, 0.25, 1) 0s highlight;
}
